<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title> @yield('title')</title>
    <link rel="icon" type="image/x-icon" href="{{ url('theme/assets/img/unesa.ico') }}"/>

    @include('layouts.css')
    <script src="{{ url('theme/assets/js/loader.js') }} "></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

</head>
<body class="alt-menu sidebar-noneoverflow">
    <!-- BEGIN LOADER -->
    <div id="load_screen"> <div class="loader"> <div class="loader-content">
        <div class="spinner-grow align-self-center"></div>
    </div></div></div>
    <!--  END LOADER -->

    <!--  BEGIN NAVBAR  -->
    <div class="header-container">
        <header class="header navbar navbar-expand-sm">

            <a href="javascript:void(0);" class="sidebarCollapse" data-placement="bottom"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-menu"><line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line></svg></a>

            <div class="nav-logo align-self-center">
                <a class="navbar-brand" href="index.html"><img alt="logo" src="{{ url('theme/assets/img/logo-small-bottom.png') }}"> <span class="navbar-brand-name">SIMLITABMAS</span></a>
            </div>

            <ul class="navbar-item flex-row mr-auto">

            </ul>

            <ul class="navbar-item flex-row nav-dropdowns">
                <li class="nav-item dropdown user-profile-dropdown order-lg-0 order-1">
                    <a href="javascript:void(0);" class="nav-link dropdown-toggle user" id="user-profile-dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <div class="media">
                            <img src="{{ url('theme/assets/img/90x90.jpg') }}" class="img-fluid" alt="admin-profile">
                            <div class="media-body align-self-center">
                                <h6><span>Hi,</span> {{ Auth::user()->name }}</h6>
                            </div>
                        </div>
                        <i data-feather="chevron-down"></i><span>
                    </a>
                    <div class="dropdown-menu position-absolute animated fadeInUp" aria-labelledby="user-profile-dropdown">
                        <div class="">
                            <div class="dropdown-item">
                                <a class="" href="{{ url('profile') }}"><i data-feather="user"></i><span> My Profile</a>
                            </div>
                            <div class="dropdown-item">
                                <a href="{{ route('logout') }}" onclick="event.preventDefault();document.getElementById('logout-form').submit();" ><i data-feather="log-out"></i>Logout</a>
                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                            </div>
                        </div>
                    </div>
                </li>
            </ul>
        </header>
    </div>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN TOPBAR  -->
        <div class="topbar-nav header navbar" role="banner">
            <nav id="topbar">
                <ul class="navbar-nav theme-brand flex-row  text-center">
                    {{-- <li class="nav-item theme-logo">
                        <a href="{{ url('dashboard') }}">
                            <img src="assets/img/90x90.jpg" class="navbar-logo" alt="logo">
                        </a>
                    </li> --}}
                    <li class="nav-item theme-text">
                        <a href="{{ url('dashboard') }}" class="nav-link"> SIMLITABMAS </a>
                    </li>
                </ul>

                <ul class="list-unstyled menu-categories" id="topAccordion">
                        <li class="menu single-menu active">
                            <a href="#dashboard" data-toggle="collapse" aria-expanded="true" class="dropdown-toggle autodroprown">
                                <div class="">
                                        <i data-feather="home"></i><span class="icon-name"> Dashboard</span>
                                </div>
                            </a>
                        </li>
                        @hasrole('admin')
                            @include('layouts.menuadmin')
                        @endrole

                        @hasrole('user')
                            @include('layouts.menu')
                        @endrole

                </ul>
            </nav>
        </div>

        <!--  END TOPBAR  -->

        <!--  BEGIN CONTENT PART  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">

                <div class="page-header">
                    @yield('header')
                </div>

                @yield('contents')

                <br><br><br><br>
                <div class="footer-wrapper">
                    <div class="footer-section f-section-1">
                        <p class="">Copyright © 2020 <a target="_blank" href="https://designreset.com">DesignReset</a>, All rights reserved.</p>
                    </div>
                    <div class="footer-section f-section-2">
                        <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart"><path d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z"></path></svg></p>
                    </div>
                </div>

            </div>
        </div>
        <!--  END CONTENT PART  -->

    </div>
    <!-- END MAIN CONTAINER -->

    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="{{ url('theme/assets/js/libs/jquery-3.1.1.min.js') }} "></script>
    <script src="{{ url('theme/bootstrap/js/popper.min.js') }} "></script>
    <script src="{{ url('theme/bootstrap/js/bootstrap.min.js') }} "></script>
    <script src="{{ url('theme/plugins/perfect-scrollbar/perfect-scrollbar.min.js') }} "></script>
    <script src="{{ url('theme/assets/js/app.js') }} "></script>
    <script>
        $(document).ready(function() {
            App.init();
        });
    </script>
    <script src="{{ url('theme/assets/js/custom.js') }} "></script>
    <!-- END GLOBAL MANDATORY SCRIPTS -->

    <script src="{{ url('theme/plugins/font-icons/feather/feather.min.js') }}"></script>
    <script type="text/javascript">
        feather.replace();
    </script>

    @include('sweet::alert')

    {{--  <script src="{{ url('theme/plugins/sweetalerts/promise-polyfill.js') }}"></script>
    <script src="{{ url('theme/assets/js/scrollspyNav.js') }}"></script>
    <script src="{{ url('theme/plugins/sweetalerts/sweetalert2.min.js') }}"></script>
    <script src="{{ url('theme/plugins/sweetalerts/custom-sweetalert.js') }}"></script>  --}}

    @yield('js')
</body>
</html>
